Page MenuHomePhabricator

Create a wiki for Wikimedia Community User Group Greece
Closed, ResolvedPublic

Description

We need a separate wiki for Wikimedia Community User Group Greece, where administrative affairs will be discussed and conducted, and all official documents of the organization will be published.
The ug had heavily utilized a wiki hosted elsewhere in the past, but broken after some unsuccesful upgrades that messed the DB.
We will get back some content from the Internet Archive and continue to work in the new wiki.

Domain: gr.wikimedia.org
Language: Greek (el)
Visibility: Public
Type: Fishbowl
SiteName: Wikimedia Grece
NS_PROJECT: "Wikimedia "
NS_PROJECT_TALK: "Συζήτηση Wikimedia"
Timezone: Greece/Athens
Logo: https://commons.wikimedia.org/wiki/File:WM_CUG_GR.png
Import from: Metawiki
Extensions: Wikieditor
Enable: bureaucrat, admin, interface admin
Extensions: Translate
Local uploads: Yes

Meta: Wikimedia User Group Greece
AffCom resolution: Affiliations Committee/Resolutions/Wikimedia Community User Group Greece – July 2013

Event Timeline

geraki created this task.Feb 22 2020, 11:25 AM
Restricted Application added a project: Internet-Archive. · View Herald TranscriptFeb 22 2020, 11:26 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Restricted Application added a project: User-Urbanecm. · View Herald TranscriptFeb 22 2020, 11:36 AM

I can take care of some of the work.

Change 574150 had a related patch set uploaded (by MarcoAurelio; owner: MarcoAurelio):
[operations/dns@master] wikimedia: Add new records for gr.wikimedia.org

https://gerrit.wikimedia.org/r/574150

Change 574151 had a related patch set uploaded (by MarcoAurelio; owner: MarcoAurelio):
[operations/puppet@production] prod_sites: Apache configuration for gr.wikimedia.org

https://gerrit.wikimedia.org/r/574151

I'll unassign once finished uploading pre-creation patches.

Restricted Application added a project: User-MarcoAurelio. · View Herald TranscriptFeb 22 2020, 11:55 AM

Change 574153 had a related patch set uploaded (by MarcoAurelio; owner: MarcoAurelio):
[mediawiki/services/restbase/deploy@master] vars: RESTBase configuration for future gr.wikimedia.org

https://gerrit.wikimedia.org/r/574153

Change 574154 had a related patch set uploaded (by MarcoAurelio; owner: MarcoAurelio):
[mediawiki/extensions/WikimediaMessages@master] Add messages for future gr.wikimedia.org

https://gerrit.wikimedia.org/r/574154

Change 574184 had a related patch set uploaded (by MarcoAurelio; owner: MarcoAurelio):
[operations/mediawiki-config@master] [WIP] Initial configuration for gr.wikimedia.org

https://gerrit.wikimedia.org/r/574184

Urbanecm triaged this task as Low priority.Feb 23 2020, 1:18 PM
Urbanecm moved this task from Backlog to Blocked on others on the User-Urbanecm board.
MarcoAurelio removed MarcoAurelio as the assignee of this task.Feb 24 2020, 10:12 AM

Initial config uploaded; I can't continue so I give way.

Change 574150 merged by Dzahn:
[operations/dns@master] wikimedia: Add new records for gr.wikimedia.org

https://gerrit.wikimedia.org/r/574150

Change 574151 merged by Dzahn:
[operations/puppet@production] prod_sites: Apache configuration for gr.wikimedia.org

https://gerrit.wikimedia.org/r/574151

@MarcoAurelio Where did the logo in the wmf-config patch come from? It looks like the linked Commons file does not have transparancy and is cropped differently I think.

Dzahn added a subscriber: Dzahn.Feb 24 2020, 6:59 PM

added to DNS:

gr.wikimedia.org is an alias for dyna.wikimedia.org.
dyna.wikimedia.org has address 198.35.26.96
dyna.wikimedia.org has IPv6 address 2620:0:863:ed1a::1

added to https:

https://gr.wikimedia.org/

@MarcoAurelio Where did the logo in the wmf-config patch come from? It looks like the linked Commons file does not have transparancy and is cropped differently I think.

They came from https://upload.wikimedia.org/wikipedia/commons/a/ae/WM_CUG_GR.png which was later optipng -o7.

xSavitar renamed this task from Create a wiki for Wikimedia User Group Greece to Create a wiki for Wikimedia Community User Group Greece.Feb 25 2020, 11:14 PM
xSavitar updated the task description. (Show Details)

Change 574154 merged by jenkins-bot:
[mediawiki/extensions/WikimediaMessages@master] Add messages for future gr.wikimedia.org

https://gerrit.wikimedia.org/r/574154

Ladsgroup added a subscriber: Ladsgroup.EditedMar 11 2020, 1:30 PM

@geraki: Are you sure you want to use the RGB logo? I thought affiliates should use the black and white logo these days (like https://www.wikimedia.de/ or https://am.wikimedia.org/ or kr.wikimedia.org and so on)

geraki added a comment.Apr 3 2020, 6:01 PM

@Ladsgroup: Yes, is seems we will keep this logo for a while, we have material using it.

@Ladsgroup: Yes, is seems we will keep this logo for a while, we have material using it.

okay then, I will create the wiki next Monday (hopefully, if everything goes alright).

@geraki Give me the username and email of the first user to create in this wiki please so you can create more users.

Krinkle removed a subscriber: Krinkle.Apr 4 2020, 7:48 PM

Change 574184 merged by jenkins-bot:
[operations/mediawiki-config@master] Initial configuration for gr.wikimedia.org

https://gerrit.wikimedia.org/r/574184

Mentioned in SAL (#wikimedia-operations) [2020-04-06T12:59:57Z] <Urbanecm> Creation of grwikimedia is done (T245911)

Urbanecm closed this task as Resolved.Apr 6 2020, 1:05 PM
Urbanecm claimed this task.
Urbanecm added a subscriber: Urbanecm.

I've created the wiki. If there is any issue or further request about this wiki, please open a new task.

To get an account, let us know your desired username and a valid email address, we'll create the first account for you. If you do not want those details to be public, you can contact me privately.

Can we get an account created to make sure the database sanitization works fine?
@Urbanecm you can use my email for that if you like, please use my email: manuel@w...

Thank you

Urbanecm added a comment.EditedApr 13 2020, 9:47 AM

@Marostegui Certainly! I have created an account for the requestor, Geraki. Does that work for you?

Mentioned in SAL (#wikimedia-operations) [2020-04-13T09:47:41Z] <Urbanecm> mwscript createAndPromote.php --wiki=grwikimedia --force Gerakiw <redacted> (T245911)

Mentioned in SAL (#wikimedia-operations) [2020-04-13T09:52:19Z] <Urbanecm> Rename user account Gerakiw@grwikimedia to Geraki@grwikimedia (T245911)

@Marostegui Certainly! I have created an account for the requestor, Geraki. Does that work for you?

Works for me - triggers working fine.
Thank you - going to update the other task

Mentioned in SAL (#wikimedia-operations) [2020-04-16T08:21:57Z] <Urbanecm> Set email for Geraki@grwikimedia (T245911)

Change 591074 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[mediawiki/services/restbase/deploy@master] Add gr.wikimedia.org

https://gerrit.wikimedia.org/r/591074

Krinkle reopened this task as Open.EditedMay 3 2020, 10:53 PM
Krinkle added a project: Platform Engineering.

Change 574153 had a related patch set uploaded (by MarcoAurelio; owner: MarcoAurelio):
[mediawiki/services/restbase/deploy@master] vars: RESTBase configuration for future gr.wikimedia.org

https://gerrit.wikimedia.org/r/574153

This still has a pending step for the wiki to operate fully as expected, namely the RESTBase config. Above patch pending review and deployment.

Change 574153 had a related patch set uploaded (by MarcoAurelio; owner: MarcoAurelio):
[mediawiki/services/restbase/deploy@master] vars: RESTBase configuration for future gr.wikimedia.org

https://gerrit.wikimedia.org/r/574153

This still has a pending step for the wiki to operate fully as expected, namely the RESTBase config. Above patch pending review and deployment.

Hey, Creating a wiki has many parts (CX integration, wikidata integration, search index creation, VE support which can be restbase and parsoid, analytics, pywikibot and many more) and more often than not creating a wiki explodes majestically (I wrote some of my adventure in T158730#5527658). These tickets don't have a clear AC but I personally call these tickets done when the wiki is accessible and doesn't fatal and I ask people to file a separate bug for missing bits.

The process of creating wikis is a mess and I would love to improve it (one take away is that we should create lots of subtickets so those can be tracked separately) I hope I can work on it a bit soon.

Change 574153 merged by Ppchelko:
[mediawiki/services/restbase/deploy@master] vars: RESTBase configuration for gr.wikimedia.org

https://gerrit.wikimedia.org/r/574153

Ladsgroup closed this task as Resolved.May 4 2020, 3:23 PM

Thanks.